Module java.desktop
Package javax.swing.plaf

# Class TableHeaderUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.TableHeaderUI

Direct Known Subclasses:
  `BasicTableHeaderUI`, `MultiTableHeaderUI`

public abstract class TableHeaderUI extends ComponentUI
Pluggable look and feel interface for JTableHeader.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TableHeaderUI()`
Constructor for subclasses to call.

## Method Summary

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableHeaderUI

protected TableHeaderUI()
Constructor for subclasses to call.